EDIT - bug #6813

lllegal Argument Exception when switching AcceptedTaxonToSynonym
07/14/2017 01:01 PM - Andreas Mller

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:

Description
Looks like this is a "null" problem again

Code in TaxonNodeSelectionDialog 93ff:

for(Classification tree : classifications) {
classificationSelectionCombo.add (tree.getName () .getText (), classifications.indexOf (
tree));

The database was a copy from production_rl_animalia
This is a critical issue because it is core functionality.

login : admin
editor version : 4.8.2
server : 160.45.63.231 (edit-WS II) / roteliste_animalia_demo_02
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalArgumentException: Argument cannot be
null
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: java.lang.IllegalArgumentException: Argument cannot be null

at org.eclipse.swt.SWT.error (SWT. java:4514)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.SWT.error (SWT. java:4419)

at org.eclipse.swt.widgets.Widget.error (Widget. java:482)

at org.eclipse.swt.widgets.Combo.add (Combo.java:198)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.createClassificationSel
ectionCombo (TaxonNodeSelectionDialog. java:94)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.createExtendedContentAr
ea (TaxonNodeSelectionDialog. java:72)

at eu.etaxonomy.taxeditor.ui.dialog.selection.CdmFilteredItemsSelectionDialog.createDialogArea
(CdmFilteredItemsSelectionDialog. java:815)

at org.eclipse.jface.dialogs.Dialog.createContents (Dialog. java:767)

at org.eclipse.jface.window.Window.create (Window. java:426)

at org.eclipse.jface.dialogs.Dialog.create(Dialog. java:1095)

at org.eclipse.ui.dialogs.SelectionStatusDialog.create(SelectionStatusDialog. java:146)

at eu.etaxonomy.taxeditor.ui.dialog.selection.CdmFilteredItemsSelectionDialog.create (CdmFilter
edItemsSelectionDialog. java:366)

at org.eclipse.jface.window.Window.open (Window. java:783)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSe
lectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:146)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.select (TaxonNodeSelecti
onDialog. java:45)

at eu.etaxonomy.taxeditor.navigation.navigator.handler.RemotingChangeAcceptedTaxonToSynonymHan
dler.prepareOperation (RemotingChangeAcceptedTaxonToSynonymHandler. java:106)

at eu.etaxonomy.taxeditor.operation.RemotingCdmHandler.execute (RemotingCdmHandler. java:41)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:295)

at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute (E4HandlerProxy.java:90)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

36 more

History

#1 - 07/14/2017 01:05 PM - Andreas Miller

- Description updated

There is a very similar issue when trying to open the "move taxon" dialog:

login : admin

editor version : 4.8.2

server : 160.45.63.231 (edit-WS II) / roteliste_animalia_demo_02
schema version : 4.7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amdo64

java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalArgumentException: Argument cannot be null

at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.e4d4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.e4.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServicelImpl. java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j
ava:433)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri
butionItem. java:454)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt
em. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.IllegalArgumentException: Argument cannot be null

at org.eclipse.swt.SWT.error (SWT. java:4514)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.SWT.error (SWT. java:4419)

at org.eclipse.swt.widgets.Widget.error (Widget.java:482)

at org.eclipse.swt.widgets.Combo.add (Combo.java:198)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.createClassificationSelectionCombo (
TaxonNodeSelectionDialog. java:94)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.createExtendedContentArea (TaxonNode
SelectionDialog.java:72)

at eu.etaxonomy.taxeditor.ui.dialog.selection.CdmFilteredItemsSelectionDialog.createDialogArea (CdmFiltered
ItemsSelectionDialog.java:815)

at org.eclipse.jface.dialogs.Dialog.createContents (Dialog.java:767)

at org.eclipse. jface.window.Window.create (Window. java:426)

at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1095)

at org.eclipse.ui.dialogs.SelectionStatusDialog.create (SelectionStatusDialog. java:146)

at eu.etaxonomy.taxeditor.ui.dialog.selection.CdmFilteredItemsSelectionDialog.create (CdmFilteredItemsSelec
tionDialog.java:366)

at org.eclipse. jface.window.Window.open (Window. java:783)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSelectionFromD
ialog (AbstractFilteredCdmResourceSelectionDialog. java:146)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.select (TaxonNodeSelectionDialog. jav
a:45)

at eu.etaxonomy.taxeditor.navigation.navigator.handler.RemotingChangeAcceptedTaxonToSynonymHandler.prepare
Operation (RemotingChangeAcceptedTaxonToSynonymHandler. java:106)

at eu.etaxonomy.taxeditor.operation.RemotingCdmHandler.execute (RemotingCdmHandler. java:41)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:295)

at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute (E4HandlerProxy.java:90)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.e4.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
. 36 more

#2 - 07/21/2017 10:28 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#3 - 08/22/2017 10:57 AM - Katja Luther

- Status changed from New to In Progress

| can't reproduce this anymore, maybe it was fixed with the changes in 4.9
@AM: could you please try to reproduce it with version 4.9 or 4.10

#4 - 09/01/2017 12:05 PM - Katja Luther
- Status changed from In Progress to Feedback

- Assignee changed from Katja Luther to Andreas Miiller

#5 - 09/21/2017 09:09 PM - Andreas Miiller
- Status changed from Feedback to Worksforme

- Target version deleted (Release 4.10)

| also can't reproduce. Let's reopen if the error appears again.
